beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_python_mongoio_load_test #384
Date Tue, 17 Mar 2020 19:33:23 GMT
See <https://builds.apache.org/job/beam_python_mongoio_load_test/384/display/redirect?page=changes>

Changes:

[jfarr1] [BEAM-8374] Add alternate SnsIO PublishResult coders

[kcweaver] [BEAM-9503] Insert missing comma in process worker script.

[davidyan] [BEAM-9510] Fixing version incompatibities in

[davidyan] Bring the dep versions up to par with

[valentyn] Install typing only on 3.5.2 or earlier versions of Python.


------------------------------------------
[...truncated 89.49 KB...]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000] [while running 'assert_that/Match']

INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:52.993Z: JOB_MESSAGE_ERROR:
Traceback (most recent call last):
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/batchworker.py", line 647,
in do_work
    work_executor.execute()
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/executor.py", line 176, in
execute
    op.start()
  File "dataflow_worker/shuffle_operations.py", line 63, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 64, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 79, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 80, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 84, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "dataflow_worker/shuffle_operations.py", line 261, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "dataflow_worker/shuffle_operations.py", line 268, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 805, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 551, in apache_beam.runners.common.SimpleInvoker.invoke_process
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1037, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "/usr/local/lib/python3.5/site-packages/future/utils/__init__.py", line 421, in raise_with_traceback
    raise exc.with_traceback(traceback)
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000] [while running 'assert_that/Match']

INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.145Z: JOB_MESSAGE_ERROR:
Traceback (most recent call last):
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/batchworker.py", line 647,
in do_work
    work_executor.execute()
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/executor.py", line 176, in
execute
    op.start()
  File "dataflow_worker/shuffle_operations.py", line 63, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 64, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 79, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 80, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 84, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "dataflow_worker/shuffle_operations.py", line 261, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "dataflow_worker/shuffle_operations.py", line 268, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 805, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 551, in apache_beam.runners.common.SimpleInvoker.invoke_process
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1037, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "/usr/local/lib/python3.5/site-packages/future/utils/__init__.py", line 421, in raise_with_traceback
    raise exc.with_traceback(traceback)
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000] [while running 'assert_that/Match']

INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.171Z: JOB_MESSAGE_BASIC:
Finished operation assert_that/Group/GroupByKey/Read+assert_that/Group/GroupByKey/GroupByWindow+assert_that/Group/Map(_merge_tagged_vals_under_key)+assert_that/Unkey+assert_that/Match
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.230Z: JOB_MESSAGE_DEBUG:
Executing failure step failure40
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.262Z: JOB_MESSAGE_ERROR:
Workflow failed. Causes: S10:assert_that/Group/GroupByKey/Read+assert_that/Group/GroupByKey/GroupByWindow+assert_that/Group/Map(_merge_tagged_vals_under_key)+assert_that/Unkey+assert_that/Match
failed., The job failed because a work item has failed 4 times. Look in previous log entries
for the cause of each one of the 4 failures. For more information, see https://cloud.google.com/dataflow/docs/guides/common-errors.
The work item was attempted on these workers: 
  beamapp-jenkins-031719244-03171224-zy7x-harness-0p49
      Root cause: Work item failed.,
  beamapp-jenkins-031719244-03171224-zy7x-harness-0p49
      Root cause: Work item failed.,
  beamapp-jenkins-031719244-03171224-zy7x-harness-0p49
      Root cause: Work item failed.,
  beamapp-jenkins-031719244-03171224-zy7x-harness-0p49
      Root cause: Work item failed.
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.377Z: JOB_MESSAGE_DETAILED:
Cleaning up.
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.562Z: JOB_MESSAGE_DEBUG:
Starting worker pool teardown.
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:31:53.594Z: JOB_MESSAGE_BASIC:
Stopping worker pool...
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:33:11.550Z: JOB_MESSAGE_DETAILED:
Autoscaling: Resized worker pool from 1 to 0.
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:33:11.590Z: JOB_MESSAGE_BASIC:
Worker pool stopped.
INFO:apache_beam.runners.dataflow.dataflow_runner:2020-03-17T19:33:11.624Z: JOB_MESSAGE_DEBUG:
Tearing down pending resources...
INFO:apache_beam.runners.dataflow.dataflow_runner:Job 2020-03-17_12_24_43-4617779329667925585
is in state JOB_STATE_FAILED
Traceback (most recent call last):
  File "/usr/lib/python3.5/runpy.py", line 184, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.5/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/io/mongodbio_it_test.py",>
line 114, in <module>
    run()
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/io/mongodbio_it_test.py",>
line 102, in run
    assert_that(r, equal_to([sum(range(known_args.num_documents))]))
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/pipeline.py",>
line 522, in __exit__
    self.run().wait_until_finish()
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/test_pipeline.py",>
line 114, in run
    state = result.wait_until_finish()
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/runners/dataflow/dataflow_runner.py",>
line 1556, in wait_until_finish
    self)
apache_beam.runners.dataflow.dataflow_runner.DataflowRuntimeException: Dataflow pipeline failed.
State: FAILED, Error:
Traceback (most recent call last):
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/batchworker.py", line 647,
in do_work
    work_executor.execute()
  File "/usr/local/lib/python3.5/site-packages/dataflow_worker/executor.py", line 176, in
execute
    op.start()
  File "dataflow_worker/shuffle_operations.py", line 63, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 64, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 79, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 80, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "dataflow_worker/shuffle_operations.py", line 84, in dataflow_worker.shuffle_operations.GroupedShuffleReadOperation.start
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "dataflow_worker/shuffle_operations.py", line 261, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "dataflow_worker/shuffle_operations.py", line 268, in dataflow_worker.shuffle_operations.BatchGroupAlsoByWindowsOperation.process
  File "apache_beam/runners/worker/operations.py", line 334, in apache_beam.runners.worker.operations.Operation.output
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 805, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1022, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 551, in apache_beam.runners.common.SimpleInvoker.invoke_process
  File "apache_beam/runners/common.py", line 1114, in apache_beam.runners.common._OutputProcessor.process_outputs
  File "apache_beam/runners/worker/operations.py", line 197, in apache_beam.runners.worker.operations.SingletonConsumerSet.receive
  File "apache_beam/runners/worker/operations.py", line 697, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/worker/operations.py", line 698, in apache_beam.runners.worker.operations.DoOperation.process
  File "apache_beam/runners/common.py", line 956, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 1037, in apache_beam.runners.common.DoFnRunner._reraise_augmented
  File "/usr/local/lib/python3.5/site-packages/future/utils/__init__.py", line 421, in raise_with_traceback
    raise exc.with_traceback(traceback)
  File "apache_beam/runners/common.py", line 954, in apache_beam.runners.common.DoFnRunner.process
  File "apache_beam/runners/common.py", line 724, in apache_beam.runners.common.PerWindowInvoker.invoke_process
  File "apache_beam/runners/common.py", line 807, in apache_beam.runners.common.PerWindowInvoker._invoke_process_per_window
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/transforms/core.py",>
line 1446, in <lambda>
    wrapper = lambda x, *args, **kwargs: [fn(x, *args, **kwargs)]
  File "<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/build/gradleenv/-1734967054/lib/python3.5/site-packages/apache_beam/testing/util.py",>
line 202, in _equal
    raise BeamAssertException(msg)
apache_beam.testing.util.BeamAssertException: Failed assert: [499999500000] == [293056765848],
unexpected elements [293056765848], missing elements [499999500000] [while running 'assert_that/Match']


> Task :sdks:python:test-suites:dataflow:py35:mongodbioIT FAILED

FAILURE: Build failed with an exception.

* Where:
Build file '<https://builds.apache.org/job/beam_python_mongoio_load_test/ws/src/sdks/python/test-suites/dataflow/py35/build.gradle'>
line: 126

* What went wrong:
Execution failed for task ':sdks:python:test-suites:dataflow:py35:mongodbioIT'.
> Process 'command 'sh'' finished with non-zero exit value 1

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 6.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/5.2.1/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 27m 15s
5 actionable tasks: 5 executed

Publishing build scan...
https://gradle.com/s/pup4wftste2ie

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure

---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message